Bug 799481 - Using the Deployment screen to Stop an instance in EC2 will Terminate that instance
Using the Deployment screen to Stop an instance in EC2 will Terminate that in...
Status: CLOSED NEXTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Angus Thomas
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 12:49 EST by Forrest Taylor
Modified: 2012-05-01 11:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-08 06:31:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Forrest Taylor 2012-03-02 12:49:11 EST
Once you have launched an instance, you can monitor the instance by going to Monitor->Deployable_name.  The Instances tab shows the status of the instance, including the IP address and state.  When the instance is in the EC2 cloud, the Stop button will Terminate the instance.  This will leave the machine in an unrecoverable state.

The Stop button should stop the instance so it could be started at a later date.  At the very least we need a warning about what this button does.
Comment 1 Forrest Taylor 2012-03-03 16:12:09 EST
There is also no way to start them once they are shutdown.  If you poweroff a machine and start it again, it may get a different IP address (as with EC2).  Once it gets a different IP address, there is no way to manage it in CloudForms.  Perhaps this is desired behavior?  Reboot or terminate a machine, otherwise, create a new application.
Comment 2 Angus Thomas 2012-03-08 06:31:05 EST
Support for stateful instances, which can be stopped and restarted later (as opposed to immediately rebooted) is planned for future releases.

Note You need to log in before you can comment on or make changes to this bug.